> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/mop/create-template/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Create a command template POST https://example.itential.io/mop/createTemplate Content-Type: application/json Creates a Command Template. Reference: https://docs.itential.com/itential-cloud/api-reference/mop/create-template ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Body (application/json) This endpoint expects an object. - `mop` (object, optional) — A mop template object - `name` (string, required) - `_id` (string, optional) - `description` (string, optional) - `namespace` (object, optional, nullable) - `type` (any, optional) - `_id` (string, optional) - `name` (string, optional) - `accessControl` (object, optional) - `read` (list of string, optional) - `execute` (list of string, optional) - `write` (list of string, optional) - `manage` (list of string, optional) - `os` (string, optional) - `passRule` (boolean, optional) - `commands` (list of object, optional) - `command` (string, optional) - `passRule` (boolean, optional) - `rules` (list of object, optional) - `rule` (string, required) - `eval` (string, required) - `raw` (string, optional) - `result` (boolean, optional) - `created` (integer, optional) - `createdBy` (string, optional, nullable) - `lastUpdated` (integer, optional) - `lastUpdatedBy` (string, optional, nullable) ## Response ### 200 Result of the creation. - `n` (integer, optional) - `ok` (integer, optional) - `nModified` (integer, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "n": 1, "ok": 1, "nModified": 1 } ``` **SDK Code** ```python import requests url = "https://example.itential.io/mop/createTemplate" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/mop/createTemplate'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/mop/createTemplate" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/mop/createTemplate") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://example.itential.io/mop/createTemplate") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://example.itential.io/mop/createTemplate', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/mop/createTemplate"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/mop/createTemplate")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```